package Juno2.DataLoad;


import Juno2.*;
import Juno2.AccountVO;
import Juno2.PositionVO;
import java.util.HashMap;


public class AccountCVO
{
	private AccountVO avo;
	private HashMap positionList;
    public AccountCVO()	{
		this.positionList = new HashMap();
	}
    public AccountCVO(AccountVO avo)	{
		this.positionList = new HashMap();
		setAccountVO(avo);
	}
	public boolean addPosition(PositionVO pvo) {
		positionList.put(pvo.getSymbol(), pvo);
		return true;
	}
	public String getAccountId() {
		return(avo.getAccountId());
	}
	public String getCustId() {
		return(avo.getCustId());
	}
	public float getAccountBalance(){
		return(avo.getAccountBalance());
	}
    public String getAccountDescription(){
		return(avo.getAccountDescription());
	}
	public HashMap getPositionList() {
		return(positionList);
	}
	public void setAccountVO(AccountVO avo){
		this.avo = avo;
	}
    public String toString(){
        return this.getClass().getName() + ":" +
	        getAccountId() + " " +
			getCustId() + ", " +
			positionList;
    }
}


